Bug 822410 - pdfgrep doesn't build with poppler-0.20.0
pdfgrep doesn't build with poppler-0.20.0
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pdfgrep (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Joachim de Groot
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-17 05:46 EDT by Marek Kašík
Modified: 2012-05-21 04:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-21 04:20:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch fixing building of pdfgrep (641 bytes, patch)
2012-05-18 08:30 EDT, Marek Kašík
no flags Details | Diff

  None (edit)
Description Marek Kašík 2012-05-17 05:46:50 EDT
Description of problem:
pdfgrep fails when built with new poppler-0.20.0.


Version-Release number of selected component (if applicable):
pdfgrep-1.2-7
Comment 1 Marek Kašík 2012-05-18 08:30:04 EDT
Created attachment 585398 [details]
patch fixing building of pdfgrep

Hi,

attached patch fixes build of pdfgrep with poppler-0.20.0. poppler has changed API of TextOutputDev's constructor and also API of TextOutputFunc.
The patch doesn't check for the version of poppler.

Regards

Marek

Additional info:
http://cgit.freedesktop.org/poppler/poppler/commit/?id=e17f09563276ee25b6acfc127b6ea360da650030
Comment 2 Joachim de Groot 2012-05-18 12:22:18 EDT
Hi,

I've upgraded pdfgrep to the current upstream version, which uses poppler-cpp unsted of poppler and builds just fine. The updated version made it to rawhide. Does this resolve this issue?

I hope you didn't spend too much time on the patch. 

Best regards
Joachim
Comment 3 Marek Kašík 2012-05-21 04:20:24 EDT
Hi Joachim,

yes, the new version fixes this bug. It didn't take me much time, it was an easy fix :).

Thank you

Marek

Note You need to log in before you can comment on or make changes to this bug.